require 'spec_helper'

describe DossierStats do
  let(:dossier) do
    {
      "responses" => {"total" => 10},
      "invitations" => {"total" => 2},
      "protocol_subscriptions" => {"total" => 4}
    }
  end

  it 'assigns fields to attr_accessors' do
    dossier_stats = DossierStats.new dossier

    expect(dossier_stats.responses["total"]).to eq 10
    expect(dossier_stats.invitations["total"]).to eq 2
    expect(dossier_stats.protocol_subscriptions["total"]).to eq 4
  end
end
