require 'spec_helper'

describe FillOutRequest do
  let(:response_body) do
    {'id' => 123,
     'respondent_type' => 'patient_version',
     'completing_url' => 'http://test.rom.roqua.eu/client/session/new?token=26aee9a4'
    }
  end

  it 'assigns fields to attr_accessors' do
    response = FillOutRequest.new response_body
    expect(response.id).to eq 123
    expect(response.respondent_type).to    eq 'patient_version'
    expect(response.completing_url).to     eq 'http://test.rom.roqua.eu/client/session/new?token=26aee9a4'
  end
end
