require 'spec_helper'

describe ProtocolSubscription do
  let(:response_body) do
    {'id'               => 1,
     'daily_start_time' => 300,
     'start_at'         => "2014-04-10T14:00:28+02:00",
     'stop_at'          => nil,
     'state'            => "a",
     'protocol_key'     => "pkey",
     'protocol_name'    => 'pname'}
  end

  it 'assigns fields to attr_accessors' do
    protocol_subscription = ProtocolSubscription.new response_body
    expect(protocol_subscription.id).to                eq 1
    expect(protocol_subscription.daily_start_time).to  eq 300
    expect(protocol_subscription.start_at).to          eq DateTime.parse("2014-04-10T14:00:28+02:00")
    expect(protocol_subscription.stop_at).to           eq nil
    expect(protocol_subscription.protocol_key).to      eq 'pkey'
    expect(protocol_subscription.protocol_name).to     eq 'pname'
  end
end
